> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/49.-interogare-obtine-datele-pe-grila-din-imagineasatelitaraaparcelei.md).

# 49. Interogare: Obține datele pe grilă din "ImagineaSatelitarăAParceleI"

Interogare pentru a obține date grilate din setul de date raster legat de "FieldSatelliteImage" ca `GEOJSON`  cu puncte sau `GEOTIFF`. Atributul properties depinde de furnizor și de obicei conține datele originale ale furnizorului (cum ar fi RED, GREEN, BLUE, NIR și chiar Clear Land) per punct/pixel. Mai multe detalii despre fișierul exportat pot fi găsite [AICI](/geopard-tutorials/ro/tur-de-produs-aplicatia-web/export-descarcare/exporta-imagini-satelitare-ca-geotiff-sau-geojson.md).

#### 1. Solicitați un fișier pentru export

{% hint style="danger" %}
Se recomandă preluarea doar a unui singur set de date cu `sourceDataUrl` pe solicitare.&#x20;
{% endhint %}

`FărăBuffer`, `PlusUnPixel`, `PlusDouăPixeli`, `MinusUnPixel`, și `MinusDouăPixeli` sunt disponibile ca `buffer`.

`GEOJSON` și `GEOTIFF` sunt disponibile ca format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Descărcați fișierul generat

După pregătirea cu succes a fișierului, este posibil să îl descărcați folosind `curl` sau o abordare similară.

{% hint style="danger" %}
`sourceDataUrl` linkul este accesibil doar pentru **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/49.-interogare-obtine-datele-pe-grila-din-imagineasatelitaraaparcelei.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
